### Enumeration

# GWeather Sky

#### Declaration

    enum GWeather.Sky

#### Description [src]

The sky and cloud visibility. In general it is discouraged to use this value directly to compute the forecast icon: applications should instead use `gweather_info_get_icon_name()` or gweather_info_get_symbolic_icon_name().

#### Members

Name | Description
--- | ---
`GWEATHER_SKY_INVALID` | Value not available.
`GWEATHER_SKY_CLEAR` | Sky completely clear, no clouds visible.
`GWEATHER_SKY_BROKEN` | Sky mostly clear, few clouds.
`GWEATHER_SKY_SCATTERED` | Sky mostly clear, patches of clouds.
`GWEATHER_SKY_FEW` | Few clouds, sky cloudy but patches of sky visible.
`GWEATHER_SKY_OVERCAST` | Sky completely clouded, sun not visible.
`GWEATHER_SKY_LAST` | The maximum value for the enumeration.

#### Type functions

###### gweather_sky_to_string

No description available.

###### gweather_sky_to_string_full

No description available.